__gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp > Class Template Reference

`#include <base.h>`

## Public Types

typedef _DifferenceTp | _DifferenceType

## Public Member Functions

| _PseudoSequenceIterator (const _Tp &__val, _DifferenceType __pos)
bool | operator!= (const _PseudoSequenceIterator &__i2)
const _Tp & | operator* () const
_PseudoSequenceIterator & | operator++ ()
_PseudoSequenceIterator | operator++ (int)
_DifferenceType | operator- (const _PseudoSequenceIterator &__i2)
bool | operator== (const _PseudoSequenceIterator &__i2)
const _Tp & | operator[] (_DifferenceType) const

## Detailed Description

template<typename _Tp, typename _DifferenceTp>
class __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >

_Iterator associated with __gnu_parallel::_PseudoSequence. If features the usual random-access iterator functionality.

Parameters

  _Tp | Sequence _M_value type.
  _DifferenceTp | Sequence difference type.

Definition at line 306 of file parallel/base.h.

## Member Typedef Documentation

## _DifferenceType

template<typename _Tp , typename _DifferenceTp >

typedef _DifferenceTp __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::_DifferenceType

Definition at line 309 of file parallel/base.h.

## Constructor & Destructor Documentation

## _PseudoSequenceIterator()

template<typename _Tp , typename _DifferenceTp >

__gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::_PseudoSequenceIterator | ( | const _Tp & | __val,
|  | _DifferenceType | __pos
| ) |  |

inline

Definition at line 311 of file parallel/base.h.

## Member Function Documentation

## operator!=()

template<typename _Tp , typename _DifferenceTp >

bool __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator!= | ( | const _PseudoSequenceIterator< _Tp, _DifferenceTp > & | __i2 | ) |

inline

Definition at line 340 of file parallel/base.h.

## operator*()

template<typename _Tp , typename _DifferenceTp >

const _Tp & __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator* | ( |  | ) | const

inline

Definition at line 328 of file parallel/base.h.

## operator++() [1/2]

template<typename _Tp , typename _DifferenceTp >

_PseudoSequenceIterator & __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator++ | ( |  | ) |

inline

Definition at line 316 of file parallel/base.h.

## operator++() [2/2]

template<typename _Tp , typename _DifferenceTp >

_PseudoSequenceIterator __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator++ | ( | int |  | ) |

inline

Definition at line 324 of file parallel/base.h.

## operator-()

template<typename _Tp , typename _DifferenceTp >

_DifferenceType __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator- | ( | const _PseudoSequenceIterator< _Tp, _DifferenceTp > & | __i2 | ) |

inline

Definition at line 344 of file parallel/base.h.

## operator==()

template<typename _Tp , typename _DifferenceTp >

bool __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator== | ( | const _PseudoSequenceIterator< _Tp, _DifferenceTp > & | __i2 | ) |

inline

Definition at line 336 of file parallel/base.h.

## operator[]()

template<typename _Tp , typename _DifferenceTp >

const _Tp & __gnu_parallel::_PseudoSequenceIterator< _Tp, _DifferenceTp >::operator[] | ( | _DifferenceType |  | ) | const

inline

Definition at line 332 of file parallel/base.h.

The documentation for this class was generated from the following file:

- parallel/base.h